Skip to content

Share Endpoints

Share API endpoints.


Overview

Method Endpoint Description
POST /api/v1/production-requests/{production_request_id}/share Create Share Link
DELETE /api/v1/production-requests/{production_request_id}/share Revoke Share Link
GET /api/v1/share/production-requests/{token} Read Shared Production Request

API Reference

Sartiq Backend Server - Share 0.1.0

share


GET /api/v1/share/production-requests/{token}

Read Shared Production Request

Input parameters

Parameter In Type Default Nullable Description
token path string No

Responses

{
    "brand_name": null,
    "product_name": "string",
    "shots": [
        {
            "variant": "string",
            "url": "string",
            "status": "AWAITING_APPROVAL"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "brand_name": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Brand Name"
        },
        "product_name": {
            "type": "string",
            "title": "Product Name"
        },
        "shots": {
            "items": {
                "$ref": "#/components/schemas/ShareShotPublic"
            },
            "type": "array",
            "title": "Shots"
        }
    },
    "type": "object",
    "required": [
        "brand_name",
        "product_name",
        "shots"
    ],
    "title": "ProductionRequestSharePublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/production-requests/{production_request_id}/share

Create Share Link

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
production_request_id path string No

Responses

{
    "token": "string",
    "url": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "token": {
            "type": "string",
            "title": "Token"
        },
        "url": {
            "type": "string",
            "title": "Url"
        }
    },
    "type": "object",
    "required": [
        "token",
        "url"
    ],
    "title": "ProductionRequestShareTokenPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/production-requests/{production_request_id}/share

Revoke Share Link

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
production_request_id path string No

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

HTTPValidationError

Name Type Description
detail Array<ValidationError>

ProductionRequestSharePublic

Name Type Description
brand_name
product_name string
shots Array<ShareShotPublic>

ProductionRequestShareTokenPublic

Name Type Description
token string
url string

ShareShotPublic

Name Type Description
status ShareShotStatus
url string
variant string

ShareShotStatus

Type: string

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2